# RPM packaging of the GNOME Shell extension Freon

This package spec is for Freon, which has its own GNOME Shell
[extension page](https://extensions.gnome.org/extension/841/freon/)
and source code [repository](https://github.com/UshakovVasilii/gnome-shell-extension-freon).

Freon is a GNOME Shell extension for displaying the temperature of your
CPU, hard disk, solid state, and video card (NVIDIA, Catalyst, and
Bumblebee supported), as well as power supply voltage, and fan
speed. You can choose which HDD/SSD or other devices to include, what
temperature units to use, and how often to refresh the sensors readout,
and they will appear in the GNOME Shell top bar. For the GPU
temperature, you may need to install the vendor's driver for best
results.

**NOTE** that if you want to see GPU temperature, you will need to
install the vendor's driver and any related packages. (Nouveau
unfortunately won't work for Nvidia cards.)

* hard drive temperatures requires udisks2, or smartmontools, or both
  hddtemp and GNU netcat. (udisks2 should already be installed by
  default on Fedora Workstation, but if you want to use hddtemp instead,
  you will need to install it and netcat yourself, and enable the
  hddtemp daemon.)
* Nvidia GPU temperatures require the `nvidia-settings` application,
  typically installed with the proprietary Nvidia drivers
* AMD GPU temperatures requires `aticonfig`, part of AMD Radeon Software
  (formerly known as AMD Catalyst)
* Bumblebee + Nvidia requires `optirun`

You can read more about this and other tips
**on the Freon [wiki](https://github.com/UshakovVasilii/gnome-shell-extension-freon/wiki)**.

**NOTE:** After installing, each user that wants it must still manually
enable Freon before it will take effect. You can do so a few different
ways:

* If you've already installed the GNOME Shell integration web browser
  plugin, go to <https://extensions.gnome.org/local/>, find the
  extension, and click the switch to "ON."
* Open GNOME Tweaks, go to the Extensions tab, find the extension, and
  click the switch to "ON."
* Open a terminal or the desktop's command dialog, and (as your normal
  user account) run `gnome-shell-extension-tool --enable freon@UshakovVasilii_Github.yahoo.com`

You may also need to restart GNOME Shell (Open the command dialog with
Alt-F2, type `r`, and hit enter), or log out and log back in.



## Bug reports and feature requests

Report any issues with Freon itself on the project's
[GitHub](https://github.com/UshakovVasilii/gnome-shell-extension-freon/issues).

Report issues specific to this package on the
[Red Hat Bugzilla](https://bugzilla.redhat.com/buglist.cgi?product=Fedora&component=gnome-shell-extension-freon).



## License

Everything specific to this repository uses the MIT License.

Freon itself uses the GNU GPL version 2.
